Page MenuHomePhabricator

atskafka: expose rdkafka metrics to prometheus
Closed, ResolvedPublic

Description

By using prometheus-rdkafka-exporter (T253197) we should make atskafka expose kafka prometheus metrics natively. The Prometheus servers should fetch the metrics made available by atskafka.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Medium priority.May 25 2020, 11:39 AM
ema moved this task from Triage to Caching on the Traffic board.

Change 598444 had a related patch set uploaded (by Ema; owner: Ema):
[operations/software/atskafka@master] 0.7: use prometheus-rdkafka-exporter

https://gerrit.wikimedia.org/r/598444

Change 598454 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] atskafka: do not write stats to disk

https://gerrit.wikimedia.org/r/598454

Change 598444 merged by Ema:
[operations/software/atskafka@master] 0.7: use prometheus-rdkafka-exporter

https://gerrit.wikimedia.org/r/598444

Change 598454 merged by Ema:
[operations/puppet@production] atskafka: do not write stats to disk

https://gerrit.wikimedia.org/r/598454

Mentioned in SAL (#wikimedia-operations) [2020-05-25T12:44:38Z] <ema> upload atskafka 0.7 to buster-wikimedia, upgrade cp3050 T253551

Change 598464 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] prometheus: job definition for atskafka

https://gerrit.wikimedia.org/r/598464

Change 598464 merged by Ema:
[operations/puppet@production] prometheus: job definition for atskafka

https://gerrit.wikimedia.org/r/598464

Change 599322 had a related patch set uploaded (by Ema; owner: Ema):
[operations/software/atskafka@master] 0.8: add new prometheus metrics

https://gerrit.wikimedia.org/r/599322

Change 599322 merged by Ema:
[operations/software/atskafka@master] 0.8: add new prometheus metrics

https://gerrit.wikimedia.org/r/599322

Mentioned in SAL (#wikimedia-operations) [2020-05-28T14:01:03Z] <ema> atskafka 0.8 uploaded to buster-wikimedia T253551

Change 599341 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] prometheus: whitelist atskafka-specific metrics

https://gerrit.wikimedia.org/r/599341

Change 599341 merged by Ema:
[operations/puppet@production] prometheus: whitelist atskafka-specific metrics

https://gerrit.wikimedia.org/r/599341

Change 599685 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] atskafka: increase queue.buffering.max.ms

https://gerrit.wikimedia.org/r/599685

Change 599685 merged by Ema:
[operations/puppet@production] atskafka: increase queue.buffering.max.ms

https://gerrit.wikimedia.org/r/599685

Change 599697 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] atskafka: remove trailing whitespace from queue.buffering.max.ms

https://gerrit.wikimedia.org/r/599697

Change 599697 merged by Ema:
[operations/puppet@production] atskafka: remove trailing whitespace from queue.buffering.max.ms

https://gerrit.wikimedia.org/r/599697

Change 599759 had a related patch set uploaded (by Ema; owner: Ema):
[operations/software/prometheus-rdkafka-exporter@master] 0.2: pass the appropriate list of labels for the metric

https://gerrit.wikimedia.org/r/599759

Change 599759 merged by Ema:
[operations/software/prometheus-rdkafka-exporter@master] 0.2: pass the appropriate list of labels for the metric

https://gerrit.wikimedia.org/r/599759

Mentioned in SAL (#wikimedia-operations) [2020-05-29T11:01:12Z] <ema> upload prometheus-rdkafka-exporter 0.2 to buster-wikimedia T253551

Change 599786 had a related patch set uploaded (by Ema; owner: Ema):
[operations/software/atskafka@master] 0.9: build against rdkafka-exporter 0.2

https://gerrit.wikimedia.org/r/599786

Change 599786 merged by Ema:
[operations/software/atskafka@master] 0.9: build against rdkafka-exporter 0.2

https://gerrit.wikimedia.org/r/599786

ema claimed this task.

This is now done: atskafka uses prometheus-rdkafka-exporter as a library and exposes rdkafka statistics to prometheus natively, together with its own metrics such as atskafka_delivery_errors_total and atskafka_seq_number.

Change 616444 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] prometheus: whitelist atskafka runtime metrics

https://gerrit.wikimedia.org/r/616444

Change 616444 merged by Ema:
[operations/puppet@production] prometheus: whitelist atskafka runtime metrics

https://gerrit.wikimedia.org/r/616444